﻿using System;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Activation;
using System.ServiceModel.Web;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.Routing;

namespace JavaScriptRoutingDemo
{
    [ServiceContract(Namespace = "JavaScriptRoutingDemo")]
    [AspNetCompatibilityRequirements(RequirementsMode = AspNetCompatibilityRequirementsMode.Allowed)]
    public class RoutingService
    {
        [OperationContract]
        public string GetRoute(string content)
        {
            string[] parameters = content.Split(',');

            FeatureSource featureSource = new ShapeFileFeatureSource(AppDomain.CurrentDomain.BaseDirectory + @"App_Data\Austinstreets.shp");
            RoutingSource routingSource = new RtgRoutingSource(AppDomain.CurrentDomain.BaseDirectory + @"App_Data\Austinstreets.rtg");
            RoutingEngine routingEngine = new RoutingEngine(routingSource, featureSource);
            PointShape startPoint = new PointShape(double.Parse(parameters[0]), double.Parse(parameters[1]));
            PointShape endPoint = new PointShape(double.Parse(parameters[2]), double.Parse(parameters[3]));
            return routingEngine.GetRoute(startPoint, endPoint).Route.GetWellKnownText();
        }
    }
}
